package main

import (
	"fmt"
	"net/url"
)

type Quay struct {
	ID               string `json:"quayid"`
	Name             string `json:"name"`
	Town             string `json:"town"`
	RoutesOfInterest []Route
}

func (q Quay) IsInterestingDeparture(d Departure) bool {
	for _, route := range q.RoutesOfInterest {
		if (route.RouteShortName == d.RouteShortName) && (route.RouteLongName == d.StopHeadsign) {
			return true
		}
	}

	return false
}

func (q Quay) GetBrengUrl() string {
	param := fmt.Sprintf("{\"quayid\":\"%s\",\"name\":\"%s\",\"town\":\"%s\"}", q.ID, q.Name, q.Town)
	return fmt.Sprintf("https://www.breng.nl/nl/resultaten/halte-informatie/?stop=%s", url.QueryEscape(param))
}
